summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Golubchik <serg@mariadb.org>2020-01-18 02:02:29 +0100
committerSergei Golubchik <serg@mariadb.org>2020-01-19 14:32:29 +0100
commit74a0cde1c612a1549320c5c74146a0763d5916fb (patch)
treee1a122ccb0a9b5085e1908f41e04dcca8422a266
parent4de32015be82d0f484a7b49a427853ea7b6da5fd (diff)
downloadmariadb-git-74a0cde1c612a1549320c5c74146a0763d5916fb.tar.gz
mysql_install_db always has to pass --user=$user to the mysqld
followup for 9d18b624675 strangely enough it only failed upgrade test on eoan
-rw-r--r--scripts/mysql_install_db.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/scripts/mysql_install_db.sh b/scripts/mysql_install_db.sh
index 0de1fe45014..5226c183d46 100644
--- a/scripts/mysql_install_db.sh
+++ b/scripts/mysql_install_db.sh
@@ -478,9 +478,9 @@ do
fi
done
-if test -n "$user" -a "$in_rpm" -eq 0
+if test -n "$user"
then
- if test -z "$srcdir"
+ if test -z "$srcdir" -a "$in_rpm" -eq 0
then
chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
@@ -490,14 +490,14 @@ then
echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
echo
fi
- fi
- chown $user "$pamtooldir/auth_pam_tool_dir" && \
- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
- echo "to the '$user' user. Check that you have the necessary permissions and try again."
- echo
+ chown $user "$pamtooldir/auth_pam_tool_dir" && \
+ chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+ if test $? -ne 0
+ then
+ echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
+ echo "to the '$user' user. Check that you have the necessary permissions and try again."
+ echo
+ fi
fi
args="$args --user=$user"
fi